<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scicos
 * 
 * Copyright (C) INRIA - METALAU Project <scicos@inria.fr> (HTML version)
 * Copyright (C) DIGITEO - Scilab Consortium (XML Docbook version)
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * See the file ./license.txt
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:id="CFSCOPE">
  <refnamediv>
    <refname>CFSCOPE</refname>
    <refpurpose>Floating point scope</refpurpose>
  </refnamediv>
  <refsection>
    <title>Block Screenshot</title>
    <para>
      <inlinemediaobject>
        <imageobject>
          <imagedata fileref="../../../images/CFSCOPE_blk.gif" align="center" valign="middle"/>
        </imageobject>
      </inlinemediaobject>
    </para>
  </refsection>
  <refsection id="Contents_CFSCOPE">
    <title>Contents</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="CFSCOPE">Floating point scope</link>
        </para>
      </listitem>
      <listitem>
        <itemizedlist>
          <listitem>
            <para>
              <xref linkend="Palette_CFSCOPE">Palette</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Description_CFSCOPE">Description</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Dialogbox_CFSCOPE">Dialog box</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Defaultproperties_CFSCOPE">Default properties</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Interfacingfunction_CFSCOPE">Interfacing function</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Computationalfunction_CFSCOPE">Computational function</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Authors_CFSCOPE">Authors</xref>
            </para>
          </listitem>
        </itemizedlist>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Palette_CFSCOPE">
    <title>Palette</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="Sinks_pal">Sinks - Sinks palette</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Description_CFSCOPE">
    <title>Description</title>
    <para>
This is a floating scope block.  
</para>
    <para>
</para>
  </refsection>
  <refsection id="Dialogbox_CFSCOPE">
    <title>Dialog box</title>
    <para>
      <inlinemediaobject>
        <imageobject>
          <imagedata fileref="../../../images/CFSCOPE_gui.gif" align="center" valign="middle"/>
        </imageobject>
      </inlinemediaobject>
    </para>
    <para>

</para>
    <itemizedlist>
      <listitem>
        <para>
          <emphasis role="bold">Color </emphasis>
        </para>
        <para> a vector of integers. The i-th element is the color number (<inlinemediaobject><imageobject><imagedata fileref="../../../images/CFSCOPE_img3_eng.gif" align="center" valign="middle"/></imageobject></inlinemediaobject> ) or dash type (<inlinemediaobject><imageobject><imagedata fileref="../../../images/CFSCOPE_img4_eng.gif" align="center" valign="middle"/></imageobject></inlinemediaobject> ) used to draw the evolution of the i-th input port signal. See<emphasis role="bold">plot2d</emphasis> for color (dash type) definitions.</para>
        <para> Properties : Type 'vec' of size 8 </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">Output window number </emphasis>
        </para>
        <para> The number of graphic window used for the display. It is often good to use high values to avoid conflict with palettes and Super Block windows. If default value is used<emphasis role="bold">(1)</emphasis> , Scicos define the output window number.</para>
        <para> Properties : Type 'vec' of size 1 </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">Output window position</emphasis>
        </para>
        <para> a 2 vector specifying the coordinates of the upper left corner of the graphic window. Answer [] for default window position.</para>
        <para> Properties : Type 'vec' of size -1 </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">Output window sizes</emphasis>
        </para>
        <para> a 2 vector specifying the coordinates of the upper left corner of the graphic window. Answer [] for default window position.</para>
        <para> Properties : Type 'vec' of size -1 </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">Ymin</emphasis>
        </para>
        <para> Minimum values of the input; used to set up the Y-axis of the plot in the graphics window.</para>
        <para> Properties : Type 'vec' of size -1 </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">Ymax</emphasis>
        </para>
        <para> Maximum values of the input; used to set up the Y-axis of the plot in the graphics window.</para>
        <para> Properties : Type 'vec' of size 1 </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">Refresh period</emphasis>
        </para>
        <para> Maximum value on the X-axis (time). The plot is redrawn when time reaches a multiple of this value.</para>
        <para> Properties : Type 'vec' of size </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">Buffer size</emphasis>
        </para>
        <para> To improve efficiency it is possible to buffer the input data. The drawing is only done after each<emphasis role="bold">Buffer size</emphasis> call to the block.</para>
        <para> Properties : Type 'vec' of size 1 </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">Links to view</emphasis>
        </para>
        <para> This parameter allows you to display the output of specified link.</para>
        <para> Properties : Type 'vec' of size 1</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Defaultproperties_CFSCOPE">
    <title>Default properties</title>
    <itemizedlist>
      <listitem>
        <para><emphasis role="bold">always active:</emphasis> no</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">direct-feedthrough:</emphasis> yes</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">zero-crossing:</emphasis> no</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">mode:</emphasis> no</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">number/sizes of activation inputs:</emphasis> 1</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">number/sizes of activation outputs:</emphasis> 0</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">continuous-time state:</emphasis> no</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">discrete-time state:</emphasis> no</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">object discrete-time state:</emphasis> no</para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">name of computational function:</emphasis>
          <emphasis role="italic">cfscope</emphasis>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Interfacingfunction_CFSCOPE">
    <title>Interfacing function</title>
    <itemizedlist>
      <listitem>
        <para> SCI/modules/scicos_blocks/macros/Sinks/CFSCOPE.sci</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Computationalfunction_CFSCOPE">
    <title>Computational function</title>
    <itemizedlist>
      <listitem>
        <para> SCI/modules/scicos_blocks/src/c/cfscope.c (Type 4)</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Authors_CFSCOPE">
    <title>Authors</title>
    <para>
      <emphasis role="bold"/>
    </para>
    <itemizedlist>
      <listitem>
        <para><emphasis role="bold">Ramine Nikoukhah</emphasis> INRIA</para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">Benoit Bayol</emphasis>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
</refentry>
